#### F4KME

#### Synopsis

    HELP:   FLAM key management extension (FKME)
    TYPE:   OBJECT
    SYNTAX: F4KME(LIBRARY='str',FUNCTION='str',PARAMETER='bin')

#### Description

Activates FLAM4 decryption based on the FLAM4 key management extension (FKME). The FLAM data key is provided by an FKME module. The library name, function name and corresponding parameter list must be provided.

On mainframe systems, the load module name and the entry name must be identical, the load module must be in the STEPLIB concatenation and the library name is ignored. If only a function name is provided, then the default library name is "" on mainframes and "libfkme" on other platforms. If only a library name is provided, the default function name "FKMESTD0" is used.

If no FKME is provided (decr.f4kme()), then FKMESTD0 from the default library (see above) is used. The default FKMESTD0 returns a hardcoded key as encryption key identical to the default password when using decr.fl4pwd().

IMPORTANT: Encrypting using the default FKME is strongly discouraged in production as this equals using a publicly known password! The data is merely obfuscated.

#### Arguments

- `STRING: LIBRARY='str' - Library name for FKME ['libfkme']`
- `STRING: FUNCTION='str' - Function name of FKME ['FKMESTD0']`
- `STRING: PARAMETER='bin' - Parameter for the call of FKME ['']`